Bug 100848 - i18n: Separate strings that contain terms "page" or "slide" for Draw and Impress
Summary: i18n: Separate strings that contain terms "page" or "slide" for Draw and Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-UX
  Show dependency treegraph
 
Reported: 2016-07-11 10:56 UTC by Modestas Rimkus
Modified: 2021-03-31 03:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Modestas Rimkus 2016-07-11 10:56:38 UTC
In Draw and Impress there are respectively Pages and Slides. However, in many places the same UI string is used in both applications. In this way a page is called "page" in Draw, but then "page" is used to call what actually is a slide in Impress, or vice versa. While this might be ok in English, there are completely different terms for "page" and "slide" in Lithuanian (I believe a few other languages, too). Translating the same string to fit both applications is complicated, and the result looks weird...

Here's a few examples of such strings in master:

Slide/Page Pane context menu:
oGDd5||New Page; avSPK||Duplicate Page; 6geGw||Rename page

Status bar: 7DqZj||Slide %1 of %2

Tooltip in Slide/Page Pane:
hpxsK||Slide

Please separate strings that contain the terms "page" or "slide" for Draw and Impress so that they can be translated differently to other languages.

Let me know if I should try and collect such strings in the UI (I hope there is a better way to find and process them).
Comment 1 Kolbjørn Stuestøl 2016-07-11 13:51:35 UTC
In Norwegian, nn and nb:
"New Page" -> "Ny side"
"New Slide" -> "Nytt lysbilete"
There is no term common to both page and slide.
"New Page/Slide" has to be written "Ny side/Nytt lysbilete"
This is unwieldy. Using different strings in Draw and Impress makes it possible to make better translations.

Kolbjørn
Comment 2 Olivier Hallot 2016-07-11 13:58:38 UTC
in pt-BR

New Page = Nova página
New Slide = Novo slide

in pt-PT

New Page = Nova página
New Slide = Novo diapositivo
Comment 3 Adolfo Jayme Barrientos 2016-07-13 01:10:57 UTC
I’m going to give a slap to the whole l10n list for not noticing that this has been acknowledged and worked on already… ;-)

*** This bug has been marked as a duplicate of bug 84258 ***
Comment 4 Modestas Rimkus 2018-01-20 22:38:48 UTC
Apparently #84258 did not fix all of the shared Slide/Page occurrences.

I could still find the following shared labels that need to be separated in Draw and Impress in order to be translated correctly:

- Tooltip in Slide/Page pane: z4wq5|Slide
- Status bar: Myh6k|Slide %1 of %2
- Navigator, tooltips for buttons LKqE8|First Slide, NWPFk|Previous Slide, bkvQE|Next Slide, FVSHF|Last Slide
Comment 5 Modestas Rimkus 2018-01-20 22:53:15 UTC
Even more:

- In Draw, right-click on empty page area, from the context menu open Page submenu: there's a menu item 5JdRq|Master Slide that's shared between Draw and Impress (in Impress it's in the main level of the context menu)
- After clicking on Master Slide menu item mentioned above, Slide Design dialog opens that contains several shared strings: dialog title BawU5|Slide Design, zBuXF|Select a Slide Design, RQGwn|Exchange background page
- In the Slide Design dialog click Load button: dialog title jqb8e|Load Slide Design
Comment 6 Modestas Rimkus 2018-01-20 23:39:15 UTC
And more:

- In Draw select Format - Page Properties; in Impress select Slide - Properties: in both cases the same dialog window opens with shared strings FEPCP|Page Setup and Py4db|Page
Comment 7 Modestas Rimkus 2018-01-21 19:43:03 UTC
- "Insert" toolbar in Draw/Impress: oGDd5|New Page; avSPK|Duplicate Page
Comment 8 Modestas Rimkus 2018-01-21 19:58:19 UTC
- Impress: WESiK|Page Number... under Insert menu
- Select menu entry above, then Notes and Handouts tab: x4Ffp|Include on page; jjanG|Page Number
Comment 9 QA Administrators 2019-01-23 03:48:31 UTC Comment hidden (obsolete)
Comment 10 Roman Kuznetsov 2019-03-31 11:36:53 UTC
In 6.3 still there are some "page" in Impress
Comment 11 QA Administrators 2021-03-31 03:40:40 UTC
Dear Modestas Rimkus,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug